#pragma once

#if PLATFORM_WINDOWS
	#ifdef core_EXPORTS
		#define CORE_API __declspec(dllexport)
	#else
		#define CORE_API __declspec(dllimport)
	#endif
#elif PLATFORM_MACOS || PLATFORM_LINUX
	#ifdef core_EXPORTS
		#define CORE_API __attribute__((visibility("default")))
	#else
		#define CORE_API
	#endif
#else
	#error Unsupported platform
#endif
